/*
This file is part of PVE Spice Client.

PVE Spice Client is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

PVE Spice Client is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with PVE Spice Client.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef PVE_SPICE_CLIENT_KEYCHAIN_H
#define PVE_SPICE_CLIENT_KEYCHAIN_H

#include <QString>

namespace PVE {
namespace SyncKeychain {

QString getUserPassword( const QString& username, const QString& serverURL );
void setUserPassword( const QString& username,
                      const QString& serverURL,
                      const QString& password );

} // namespace Keychain
} // namespace PVE

#endif // PVE_SPICE_CLIENT_KEYCHAIN_H
